import { NgModule } from '@angular/core';
import { StoreModule } from '@ngrx/store';
import { StoreDevtoolsModule } from '@ngrx/store-devtools';
import {
  StoreRouterConnectingModule,
  RouterStateSerializer,
} from '@ngrx/router-store';
import { EffectsModule } from '@ngrx/effects';
import { combineReducers, ActionReducer, ActionReducerMap, MetaReducer } from '@ngrx/store';

import { State as MemberState } from './store/state';
import { reducers as memberReducers } from './store/reducer';
import { EFFECTS } from './store/effect';

import { MODULE } from './member.constant';

@NgModule({
  imports: [
    StoreModule.forFeature(MODULE.name, memberReducers),
    EffectsModule.forFeature(EFFECTS),
  ],
})
export class MemberStoreModule { }
